Summary:         Library for reading, mastering and writing optical discs
Name:            libburn
Version:         1.5.6
Release:         2%{?dist}
License:         GPLv2+
URL:             https://libburnia-project.org/
Source0:         https://files.libburnia-project.org/releases/%{name}-%{version}.tar.gz

Patch3000:       libburn-0.6.16-multilib.patch
Patch3001:       libburn-1.5.4-rpath.patch

BuildRequires:   gnupg2 gcc make intltool gettext

%description
Libburn is a library by which preformatted data get onto optical media: CD, DVD and BD (Blu-Ray).
It also offers a facility for reading data blocks from its drives without using the normal block
device I/O, which has advantages and disadvantages. It seems appropriate, nevertheless,
to do writing and reading via same channel. On several Linux systems, the block device driver needs
reloading of the drive tray in order to make available freshly written data. The libburn read function
does not need such a reload. The code of libburn is independent of cdrecord.

%package         devel
Summary:         Development files for %{name}
Requires:        %{name} = %{version}-%{release} pkgconfig

%description     devel
The %{name}-devel package contains libraries and header files for developing applications that use %{name}.

%package -n      cdrskin
Summary:         Limited cdrecord compatibility wrapper to ease migration to %{name}
Requires:        %{name} = %{version}-%{release}
Requires(post):  %{_sbindir}/alternatives coreutils
Requires(preun): %{_sbindir}/alternatives

%description -n cdrskin
A limited cdrecord compatibility wrapper which allows to use some %{name} features from the command line.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/%{name}.la
rm -rf %{buildroot}%{_defaultdocdir}

touch %{buildroot}{%{_bindir}/cdrecord,%{_mandir}/man1/cdrecord.1.gz}

%post -n cdrskin
%{_sbindir}/alternatives --install %{_bindir}/cdrecord cdrecord %{_bindir}/cdrskin 50 \
  --slave %{_mandir}/man1/cdrecord.1.gz cdrecord-cdrecordman %{_mandir}/man1/cdrskin.1.gz

%preun -n cdrskin
if [ $1 -eq 0 ]; then
  %{_sbindir}/alternatives --remove cdrecord %{_bindir}/cdrskin
fi

%files
%license COPYING
%doc AUTHORS COPYRIGHT README
%{_libdir}/%{name}*.so.*

%files devel
%{_includedir}/%{name}
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc

%files -n cdrskin
%ghost %{_bindir}/cdrecord
%{_bindir}/cdrskin
%ghost %{_mandir}/man1/cdrecord.1*
%{_mandir}/man1/cdrskin.1*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.6-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Shuo Wang <abushwang@tencent.com> - 1.5.6-1
- update to 1.5.6

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.4-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 29 2022 Shuo Wang <abushwang@tencent.com> - 1.5.4-1
- initial build
